unit FullPreviewDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;

type
  TFullPreviewForm = class(TForm)
    procedure FormShow(Sender: TObject);
    procedure ShowModal(const PreviewTexture : TBitmap); virtual;
  private
    Texture : TBitmap;
  public
    { Public-Deklarationen }
  end;

var
  FullPreviewForm: TFullPreviewForm;

implementation

{$R *.DFM}

procedure TFullPreviewForm.FormShow(Sender: TObject);
begin
  Height := Texture.Height+26;
  Width := Texture.Width+6;

  Canvas.Draw(0,0, Texture);
end;

procedure TFullPreviewForm.ShowModal;
begin
  Texture := PreviewTexture; //make texture available for other procedure in this class

  inherited ShowModal;
end;
end.
