unit TiledPreviewDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls;

type
  TTiledPreviewForm = class(TForm)
    procedure FormShow(Sender: TObject);
    procedure ShowModal(const PreviewTexture : TBitmap); virtual;
  private
    Texture : TBitmap;
  public
    { Public-Deklarationen }
  end;

var
  TiledPreviewForm: TTiledPreviewForm;

implementation

{$R *.DFM}

procedure TTiledPreviewForm.FormShow(Sender: TObject);
var
  x,y       : integer;
begin
  x := 0;

  repeat
    y := 0; //Reset y-coordinate every new column
    repeat
      Canvas.Draw(x, y, Texture);
      y := y + Texture.Height;
    until (y > Height);
    x := x + Texture.Width;
  until(x > Width);
end;

procedure TTiledPreviewForm.ShowModal;
begin
  Texture := PreviewTexture;  //make texture available for other procedures in this class

  inherited ShowModal;
end;

end.
