unit Preferences;

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls,
  StdCtrls, ExtCtrls, Forms, Spin, registry, ComCtrls;

type
  TPreferenceForm = class(TForm)
    OKBtn: TButton;
    CancelBtn: TButton;
    PreferencePages: TPageControl;
    Troubleshooting: TTabSheet;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    UTFolder: TEdit;
    procedure OKBtnClick(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  end;

var
  PreferenceForm: TPreferenceForm;

implementation

uses Main;

{$R *.DFM}

procedure TPreferenceForm.OKBtnClick(Sender: TObject);
var
  Reg     : TRegistry;
begin
  Reg := TRegistry.Create;
  Reg.RootKey := HKEY_LOCAL_MACHINE;
  Reg.OpenKey('SOFTWARE\Unreal Technology\Installed Apps\UnrealTournament', TRUE);
  Reg.WriteString('Folder', UTFolder.Text);

  Close;
end;

procedure TPreferenceForm.CancelBtnClick(Sender: TObject);
begin
  Close;
end;

procedure TPreferenceForm.FormShow(Sender: TObject);
var
  Reg     : TRegistry;
begin
  Reg := TRegistry.Create;
  Reg.RootKey := HKEY_LOCAL_MACHINE;
  Reg.OpenKey('SOFTWARE\Unreal Technology\Installed Apps\UnrealTournament', TRUE);
  UTFolder.Text := Reg.ReadString('Folder');
end;

end.
